<?php
namespace Fifa\ConnectServiceBus\Sdk\Encryption\Model;

/**
 * Class EncryptionResult
 * @package Fifa\ConnectServiceBus\Sdk\Encryption\Model
 */
class EncryptionResult
{
    /**
     * @var string|null
     */
    private $data;

    /**
     * @var array|null
     */
    private $properties;

    /**
     * Gets data
     *
     * @return string|null
     */
    public function getData(): ?string
    {
        return $this->data;
    }

    /**
     * Sets data
     *
     * @param string $data
     * @return EncryptionResult
     */
    public function setData(string $data): EncryptionResult
    {
        $this->data = $data;
        return $this;
    }

    /**
     * Gets properties
     *
     * @return array|null
     */
    public function getProperties(): ?array
    {
        return $this->properties;
    }

    /**
     * Sets properties
     *
     * @param array $properties
     * @return EncryptionResult
     */
    public function setProperties(array $properties): EncryptionResult
    {
        $this->properties = $properties;
        return $this;
    }
}